{: test a compilation error occurs for an external declaration when the
   function has already been declared }

{$d+}
program e020( output );

var
   x,y : real;

function pow(a : real;  b : real) : real; forward;
function pow(a : real;  b : real) : real; external; { !!! previously declared }
function tgamma(a : real) : real; external;         { OK }

begin {e020}

   x := pow( 2, 2 );
   y := tgamma( 2 );

   writeln( 'fails: previously declared external error not detected' );

end. {e020}

